Package com.collibra.dgc.core.api.component.instance

# Interface RatingApi

public interface RatingApi
Contains all api operations for handling ratings and reviews.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Rating`
  `addRating(AddRatingRequest addRatingRequest)`
  Adds a rating.
  `Rating`
  `changeRating(ChangeRatingRequest changeRatingRequest)`
  Changes a rating.
  `PagedResponse<Rating>`
  `findRatings(FindRatingsRequest findRatingsRequest)`
  Returns a list of ratings according to given criteria.
  `Rating`
  `getRating(UUID ratingId)`
  Returns a rating by id.
  `List<RatingDistribution>`
  `getRatingDistributionData(UUID assetId, int chunks)`
  Returns rating distribution data counted for given asset.
  `void`
  `removeRating(UUID ratingId)`
  Remove a rating.

- ## Method Details

  - ### getRating

    Rating getRating(UUID ratingId)
    Returns a rating by id.
    Parameters:
      `ratingId` - the UUID of the rating to retrieve
    Returns:
      the Rating

  - ### findRatings

    @SecurityAuditMethod(resultFormatter=com.collibra.dgc.core.api.internal.security.audit.formatter.PagedResponseFormatter.class) PagedResponse<Rating> findRatings(FindRatingsRequest findRatingsRequest)
    Returns a list of ratings according to given criteria.
    Parameters:
      `findRatingsRequest` - the information required to be able to find rating
    Returns:
      the Ratings list

  - ### addRating

    Rating addRating(AddRatingRequest addRatingRequest)
    Adds a rating.
    Parameters:
      `addRatingRequest` - the information required to be able to create a new rating
    Returns:
      The created Rating

  - ### getRatingDistributionData

    List<RatingDistribution> getRatingDistributionData(UUID assetId, int chunks)
    Returns rating distribution data counted for given asset.
    Parameters:
      `assetId` - the UUID of the asset
      `chunks` - the number defining chunks number (size of result List)
    Returns:
      the list of `RatingDistribution`

  - ### changeRating

    Rating changeRating(ChangeRatingRequest changeRatingRequest)
    Changes a rating.
    Parameters:
      `changeRatingRequest` - the information required to be able to change rating
    Returns:
      The modified rating

  - ### removeRating

    void removeRating(UUID ratingId)
    Remove a rating.
    Parameters:
      `ratingId` - the id of Rating to be removed